Subject: Re: Git Question

From: Taylor Blau <[email-masked]>
Date: Wed, 28 Mar 2018 18:58:48 -0700

On Wed, Mar 28, 2018 at 08:49:19PM -0500, Mark Wartman wrote:
> I am following this tutorial and I expected to only see user.name &
> user.email, so what are the filters.lfs’s and the credential.helper?
> Should I ignore them, or try to get rid of them?  Please advise.

The `filter.lfs` configuration is set by Git LFS [1] in order to
correctly filter large files into your working copy.

You can safely ignore these, or remove them if you are not using Git
LFS.

> What is the best way to upgrade to a newer stable version of git?

On macOS, you can use Homebrew [2] to install any version of Git.
Install the latest via:

  brew update && brew install git

Thanks,
Taylor

[1]: https://git-lfs.github.com
[2]: https://brew.sh